libkrb5-26-heimdal_1.6~git20131207+dfsg-1ubuntu1.2_i386.deb


Advertisement

Description

libkrb5-26-heimdal - Heimdal Kerberos - libraries

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Updates Main i386
Package filename libkrb5-26-heimdal_1.6~git20131207+dfsg-1ubuntu1.2_i386.deb
Package name libkrb5-26-heimdal
Package version 1.6~git20131207+dfsg
Package release 1ubuntu1.2
Package architecture i386
Package type deb
Category libs
Homepage http://www.h5l.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 193.20 KB
Installed size 640.00 KB
Heimdal is a free implementation of Kerberos 5 that aims to be
compatible with MIT Kerberos.
This package contains the Kerberos 5 library.

Alternatives

Package Version Architecture Repository
libkrb5-26-heimdal_1.6~git20131207+dfsg-1ubuntu1.2_amd64.deb 1.6~git20131207+dfsg amd64 Ubuntu Updates Main
libkrb5-26-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb 1.6~git20131207+dfsg amd64 Ubuntu Main
libkrb5-26-heimdal_1.6~git20131207+dfsg-1ubuntu1_i386.deb 1.6~git20131207+dfsg i386 Ubuntu Main
libkrb5-26-heimdal - - -

Requires

Name Value
libasn1-8-heimdal >= 1.6~git20131117
libc6 >= 2.15
libcomerr2 >= 1.41.11
libhcrypto4-heimdal >= 1.4.0+git20110226
libheimbase1-heimdal >= 1.6~git20131117
libhx509-5-heimdal >= 1.4.0+git20110226
libroken18-heimdal >= 1.6~git20131117
libsqlite3-0 >= 3.5.9
libwind0-heimdal >= 1.6~git20120311
multiarch-support -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libkrb5-26-heimdal_1.6~git20131207+dfsg-1ubuntu1.2_i386.deb
Source Package heimdal

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkrb5-26-heimdal deb package:
    # sudo apt-get install libkrb5-26-heimdal

Files

Path
/usr/lib/i386-linux-gnu/libkrb5.so.26
/usr/lib/i386-linux-gnu/libkrb5.so.26.0.0
/usr/share/doc/libkrb5-26-heimdal/changelog.Debian.gz
/usr/share/doc/libkrb5-26-heimdal/copyright
/usr/share/lintian/overrides/libkrb5-26-heimdal

Changelog

2017-07-13 - Steve Beattie <sbeattie@ubuntu.com>
heimdal (1.6~git20131207+dfsg-1ubuntu1.2) trusty-security; urgency=medium
* SECURITY UPDATE: KDC-REP service name impersonation
- debian/patches/CVE-2017-11103.patch: use encrypted service
name rather than unencrypted (and therefore spoofable) version
- CVE-2017-11103
2015-03-03 - Patrik Lundin <patrik.lundin@su.se>
heimdal (1.6~git20131207+dfsg-1ubuntu1.1) trusty; urgency=medium
* Add 048_kdc_memleak patch based on Debian bug #746486. LP: #1422359
2014-02-19 - Dimitri John Ledkov <xnox@ubuntu.com>
heimdal (1.6~git20131207+dfsg-1ubuntu1) trusty; urgency=medium
* Enable parallel build.
* Link tests against just compiled gssapi, instead of the system
one. Fixes FTBFS due to missing symbols.
* Dropped changes - debian/patches/044_file_desc, included in the new
upstream snapshot.
2013-12-07 - Jelmer Vernooij <jelmer@debian.org>
heimdal (1.6~git20131207+dfsg-1) unstable; urgency=medium
* New upstream snapshot from 1.6 branch.
+ Drop 043_hx509_heimbase: applied upstream.
+ Drop 044_krb5_pcfile: applied upstream.
* Add 046_kcm_supports_sigterm. Closes: #654349
* Add Provides: heimdal-hdb-api-8 to hdb package, so Samba and others can
depend on a specific version of the API.
* Add 047_fix_hdb_so_loading, fixing plugin loading
in the HDB library. Thanks Andrew Bartlett, Jeff Clark.
* Bump standards version to 3.9.5. (no changes)
* Document log destination format in kdc.conf rather than referring to
krb5_openlog.3 manpage shipped in heimdal-dev. Closes: #674542
* Drop obsolete bzr-builddeb.conf.
2013-11-24 - Jelmer Vernooij <jelmer@debian.org>
heimdal (1.6~git20131117+dfsg-3) unstable; urgency=low
* Move generic .pc files from heimdal-multidev to heimdal-dev package
to prevent conflicts with libkrb5-multidev. Closes: #730267
* Rename login.1 to login.heimdal.1 to support installing together
with login. Closes: #729946
* Set random master key if no explicit password was specified. Closes:
#730011
2013-11-20 - Jelmer Vernooij <jelmer@debian.org>
heimdal (1.6~git20131117+dfsg-2) unstable; urgency=low
* Move asn1_compile and asn1_print to heimdal-multidev, since they
don't conflict with libkrb5-dev.
* Add 043_hx509_heimbase: fixes use of hx509.h.
2013-11-17 - Jelmer Vernooij <jelmer@debian.org>
heimdal (1.6~git20131117+dfsg-1) unstable; urgency=low
* New upstream snapshot.
+ Drop texinfo_5.1 and texinfo_b_5.1; applied upstream.
* Install asn1_compile and asn1_print binaries in heimdal-dev.
2013-07-16 - Brian May <bam@debian.org>
heimdal (1.6~git20120403+dfsg1-4) unstable; urgency=low
* Fix broken symlinks. Closes: #715069.
* heimdal-multidev depends on libotp0-heimdal and libsl0-heimdal.
* remove windc symlinks.
* Bump standards version to 3.9.4.
2013-06-03 - Brian May <bam@debian.org>
heimdal (1.6~git20120403+dfsg1-3) unstable; urgency=low
* Move /usr/share/doc/heimdal-kdc/examples to
/usr/share/heimdal-kdc. Closes: #710731.
* Fix textinfo build errors. Closes: #711221.
2012-05-30 - Jelmer Vernooij <jelmer@debian.org>
heimdal (1.6~git20120403+dfsg1-2) unstable; urgency=low
* Enable libcap-ng-dev only on Linux. Fixes FTBFS on kfreebsd-* and
hurd-*. Closes: #674923
* Support extra configure flags through dpkg-buildflags, to (for
example) enable hardened build flags. Thanks Moritz Muehlenhoff.
Closes: 668022

See Also

Package Description
libkrb5-3_1.12+dfsg-2ubuntu5.4_i386.deb MIT Kerberos runtime libraries
libkrb5-dev_1.12+dfsg-2ubuntu5.4_i386.deb Headers and development libraries for MIT Kerberos
libkrb5support0_1.12+dfsg-2ubuntu5.4_i386.deb MIT Kerberos runtime libraries - Support library
libkrosscore4_4.13.3-0ubuntu0.5_i386.deb Kross Core Library
libkrossui4_4.13.3-0ubuntu0.5_i386.deb Kross UI Library
libksba-dev_1.3.0-3ubuntu0.14.04.2_i386.deb X.509 and CMS support library - development files
libksba8_1.3.0-3ubuntu0.14.04.2_i386.deb X.509 and CMS support library
libktexteditor4_4.13.3-0ubuntu0.5_i386.deb KTextEditor interfaces for the KDE Platform
libkunitconversion4_4.13.3-0ubuntu0.5_i386.deb Unit Conversion library for the KDE Platform
libkutils4_4.13.3-0ubuntu0.5_i386.deb dummy transitional library
liblcms2-2_2.5-0ubuntu4.2_i386.deb Little CMS 2 color management library
liblcms2-dev_2.5-0ubuntu4.2_i386.deb Little CMS 2 color management library development headers
libldap-2.4-2_2.4.31-1+nmu2ubuntu8.5_i386.deb OpenLDAP libraries
libldap2-dev_2.4.31-1+nmu2ubuntu8.5_i386.deb OpenLDAP development libraries
libldb-dev_1.1.24-0ubuntu0.14.04.2_i386.deb LDAP-like embedded database - development files
Advertisement
Advertisement